xine-lib: demux_film_t Struct Reference

xine-lib 1.2.12

Data Fields
demux_film_t Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | video_fifo
fifo_buffer_t * | audio_fifo
input_plugin_t * | input
int | status
off_t | data_start
off_t | data_size
int | waiting_for_keyframe
char | version [4]
unsigned int | video_codec
unsigned int | video_type
xine_bmiheader | bih
unsigned int | audio_type
unsigned int | sample_rate
unsigned int | audio_bits
unsigned int | audio_channels
unsigned char * | interleave_buffer
unsigned int | frequency
unsigned int | sample_count
film_sample_t * | sample_table
unsigned int | current_sample
unsigned int | last_sample
int | total_time

## Field Documentation

## ◆ audio_bits

unsigned int demux_film_t::audio_bits

Referenced by open_film_file().

## ◆ audio_channels

unsigned int demux_film_t::audio_channels

Referenced by open_film_file().

## ◆ audio_fifo

fifo_buffer_t* demux_film_t::audio_fifo

## ◆ audio_type

unsigned int demux_film_t::audio_type

Referenced by open_film_file().

## ◆ bih

xine_bmiheader demux_film_t::bih

Referenced by open_film_file().

## ◆ current_sample

unsigned int demux_film_t::current_sample

## ◆ data_size

off_t demux_film_t::data_size

Referenced by open_film_file().

## ◆ data_start

off_t demux_film_t::data_start

Referenced by open_film_file().

## ◆ demux_plugin

demux_plugin_t demux_film_t::demux_plugin

## ◆ frequency

unsigned int demux_film_t::frequency

Referenced by open_film_file().

## ◆ input

input_plugin_t* demux_film_t::input

Referenced by open_film_file().

## ◆ interleave_buffer

unsigned char* demux_film_t::interleave_buffer

Referenced by open_film_file().

## ◆ last_sample

unsigned int demux_film_t::last_sample

## ◆ sample_count

unsigned int demux_film_t::sample_count

Referenced by open_film_file().

## ◆ sample_rate

unsigned int demux_film_t::sample_rate

Referenced by open_film_file().

## ◆ sample_table

film_sample_t* demux_film_t::sample_table

Referenced by open_film_file().

## ◆ status

int demux_film_t::status

## ◆ stream

xine_stream_t* demux_film_t::stream

Referenced by open_film_file().

## ◆ total_time

int demux_film_t::total_time

Referenced by open_film_file().

## ◆ version

char demux_film_t::version[4]

Referenced by open_film_file().

## ◆ video_codec

unsigned int demux_film_t::video_codec

Referenced by open_film_file().

## ◆ video_fifo

fifo_buffer_t* demux_film_t::video_fifo

## ◆ video_type

unsigned int demux_film_t::video_type

Referenced by open_film_file().

## ◆ waiting_for_keyframe

int demux_film_t::waiting_for_keyframe

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_film.c